"""Response object class."""

from dataclasses import dataclass


@dataclass
class MiscellaneousTextData:
    FirstNameArabic: str
    LastNameArabic: str
    MiddleName1Arabic: str
    MiddleName2Arabic: str
    MiddleName3Arabic: str
    MiddleName4Arabic: str
    BloodGroup: str
    CPRNO: str
    DateOfBirth: str
    FirstNameEnglish: str
    LastNameEnglish: str
    MiddleName1English: str
    MiddleName2English: str
    MiddleName3English: str
    MiddleName4English: str
    Gender: str
    Email: str
    ContactNo: str
    ResidenceNo: str
    FlatNo: str
    BuildingNo: str
    BuildingAlpha: str
    BuildingAlphaArabic: str
    RoadNo: str
    RoadName: str
    RoadNameArabic: str
    BlockNo: str
    BlockName: str
    BlockNameArabic: str
    GovernorateNo: str
    GovernorateNameEnglish: str
    GovernorateNameArabic: str
    EmployerName1Arabic: str
    EmployerName2Arabic: str
    EmployerName3Arabic: str
    EmployerName4Arabic: str
    LatestEducationDegreeArabic: str
    OccupationDescription1Arabic: str
    OccupationDescription2Arabic: str
    OccupationDescription3Arabic: str
    OccupationDescription4Arabic: str
    SponsorNameArabic: str
    ClearingAgentIndicator: str
    EmployerFlag1: str
    EmployerFlag2: str
    EmployerFlag3: str
    EmployerFlag4: str
    EmployerName1: str
    EmployerName2: str
    EmployerName3: str
    EmployerName4: str
    EmployerNo1: str
    EmployerNo2: str
    EmployerNo3: str
    EmployerNo4: str
    EmploymentFlag1: str
    EmploymentFlag2: str
    EmploymentFlag3: str
    EmploymentFlag4: str
    LaborForceParticipation: str
    LatestEducationDegree: str
    OccupationDescription1: str
    OccupationDescription2: str
    OccupationDescription3: str
    OccupationDescription4: str
    SponsorCPRNoorUnitNo: str
    SponsorFlag: str
    SponsorName: str
    LfpNameEnglish: str
    LfpNameArabic: str
    EnglishCountryName: str
    ArabicCountryName: str
    IACOCode: str
    Alpha2Code: str
    Alpha3Code: str
    Nationality: str
    PlaceOfBirth: str
    ArabicPlaceOfBirth: str
    CountryOfBirth: str
    PassportNo: str
    PassportType: str
    PassportSequnceNo: str
    IssueDate: str
    ExpiryDate: str
    VisaNo: str
    VisaExpiryDate: str
    VisaType: str
    ResidentPermitNo: str
    ResidentPermitExpiryDate: str
    TypeOfResident: str


@dataclass
class CardData:
    """Card data class."""

    AddressArabic: str
    AddressEnglish: str
    ArabicFirstName: str
    ArabicFullName: str
    ArabicLastName: str
    ArabicMiddleName2: str
    ArabicMiddleName3: str
    ArabicMiddleName4: str
    ArabicMiddleName5: str
    BirthDate: str
    CardCountry: str
    CardexpiryDate: str
    CardIssueDate: str
    CardSerialNumber: str
    CardVersion: str
    EmploymentFlag: str
    EmploymentId: str
    EmploymentNameArabic: str
    EmploymentNameEnglish: str
    EnglishFirstName: str
    EnglishFullName: str
    EnglishLastName: str
    EnglishMiddleName2: str
    EnglishMiddleName3: str
    EnglishMiddleName4: str
    EnglishMiddleName5: str
    FingerprintCode: str
    Gender: str
    IacoNationalityCode: str
    IsoNationalityCode: str
    IdNumber: str
    IsMatchOnCardAvailiable: str
    MiscellaneousTextData: MiscellaneousTextData
    NationalityCode: str
    OccupationArabic: str
    OccupationEnglish: str
    PassportExpiryDate: str
    PassportIssueDate: str
    PassportNumber: str
    PassportType: str
    Photo: str
    PhotoB64Encoded: str
    Signature: str
    SignB64Encoded: str
    SponserId: str
    SponserNameArabic: str
    SponserNameEnglish: str
    ErrorDescription: str
